Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class Fault

    java.lang.Object
      org.apache.cayenne.Fault

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ToManyListFault, ToManyMapFault, ToManySetFault, ToOneFault

    public abstract class Fault

extends Object
implements Serializable

Represents a placeholder for an unresolved relationship from a source object. Fault is resolved via `resolveFault(Persistent, String)`. Depending on the type of fault it is resolved differently. Each type of fault is a singleton that can be obtained via corresponding static method.

Since:
  1.1
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected static Fault` | `toManyFault` Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.
`protected static Fault` | `toOneFault` Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.

Constructor Summary
`protected` | `Fault()`

Method Summary
`static Fault` | `getToManyFault()` Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.
`static Fault` | `getToOneFault()` Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.
`abstract Object` | `resolveFault(Persistent sourceObject, String relationshipName)` Returns an object for a given source object and relationship.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### toOneFault

    protected static Fault toOneFault

  Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.

### toManyFault

    protected static Fault toManyFault

  Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.

Constructor Detail

### Fault

    protected Fault()

Method Detail

### getToOneFault

    public static Fault getToOneFault()

  Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.

### getToManyFault

    public static Fault getToManyFault()

  Deprecated. since 3.0 as the fault singletons are no longer static and are managed by the Cayenne configuration.

### resolveFault

    public abstract Object resolveFault(Persistent sourceObject,
                                        String relationshipName)

  Returns an object for a given source object and relationship.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.